Bug 201425 - [patch] graphics/png fails to build on arm64
Summary: [patch] graphics/png fails to build on arm64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Some People
Assignee: Antoine Brodin
URL: http://dirty.ysv.freebsd.org/data/11a...
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2015-07-08 16:33 UTC by Andrew Turner
Modified: 2015-07-29 06:09 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (portmgr)


Attachments
Fix for arm64 (976 bytes, patch)
2015-07-08 16:33 UTC, Andrew Turner
no flags Details | Diff
Use gnu configure instead of cmake (2.44 KB, patch)
2015-07-27 19:02 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Turner freebsd_committer 2015-07-08 16:33:10 UTC
Created attachment 158531 [details]
Fix for arm64

On arm64 png fails as png_init_filter_functions_neon is missing. This appears to be a bug with the cmake config missing arm/arm_init.c and arm/filter_neon_intrinsics.c. The attached patch fixes this for me such that the tests pass.

As both these files check if they should be used it is safe to build them on non-arm platforms.
Comment 1 Andrew Turner freebsd_committer 2015-07-15 12:52:36 UTC
Were there any problems with this? It would be nice to get this in as it blocks 2610 ports on arm64.
Comment 2 Antoine Brodin freebsd_committer 2015-07-27 19:02:17 UTC
Created attachment 159316 [details]
Use gnu configure instead of cmake

Could you try attached patch?

It switches build system from cmake to gnu configure which seems aware of arm64
Comment 3 Andrew Turner freebsd_committer 2015-07-28 14:27:01 UTC
(In reply to Antoine Brodin from comment #2)

That patch works for me, with no test failures.
Comment 4 Antoine Brodin freebsd_committer 2015-07-28 14:33:13 UTC
Take
Comment 5 commit-hook freebsd_committer 2015-07-29 06:08:17 UTC
A commit references this bug:

Author: antoine
Date: Wed Jul 29 06:07:59 UTC 2015
New revision: 393143
URL: https://svnweb.freebsd.org/changeset/ports/393143

Log:
  Switch build system from cmake to GNU configure
  There are 2 benefits:
  - Reduced number of build dependencies (0 now)
  - This fixes build on arm64,  as configure/Makefile are more updated than
    CMakeLists.txt (CMakeLists.txt doesn't know about the arm/arm_init.c
    and arm/filter_neon_intrinsics.c files)

  PR:		201425
  Tested by:	Andrew Turner (on arm64)

Changes:
  head/graphics/png/Makefile
  head/graphics/png/files/
  head/graphics/png/pkg-plist
Comment 6 Antoine Brodin freebsd_committer 2015-07-29 06:09:20 UTC
Patch committed